GCubeLogin (gCube Bundle Login Portlet 2.0.0-SNAPSHOT API)
Date: 2014-05-10

org.gcube.portlets.user.gcubelogin.client

## Class GCubeLogin

- java.lang.Object
- - org.gcube.portlets.user.gcubelogin.client.GCubeLogin

- All Implemented Interfaces:
    com.google.gwt.core.client.EntryPoint

      public class GCubeLogin
      extends Object
      implements com.google.gwt.core.client.EntryPoint

  Version:
    2.0 Jan 10th 2012
  Author:
    Massimiliano Assante ISTI-CNR, Federico Biagini ISTI-CNR

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.google.gwt.user.client.ui.VerticalPanel` | `mainPanel`
    `protected static NewLoginServiceAsync` | `newLoginSvc`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCubeLogin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearPanel()`
    `static NewLoginServiceAsync` | `getService()`
    `static String` | `getURLa()`
    `static void` | `hideLoading()`
    `void` | `onModuleLoad()` This is the entry point method.
    `static void` | `refreshLoading()`
    `static void` | `showLoading()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mainPanel

          protected com.google.gwt.user.client.ui.VerticalPanel mainPanel

    - #### newLoginSvc

          protected static NewLoginServiceAsync newLoginSvc

  - ### Constructor Detail

    - #### GCubeLogin

          public GCubeLogin()

  - ### Method Detail

    - #### getService

          public static NewLoginServiceAsync getService()

    - #### onModuleLoad

          public void onModuleLoad()

      This is the entry point method.
      Specified by:
        `onModuleLoad` in interface `com.google.gwt.core.client.EntryPoint`

    - #### showLoading

          public static void showLoading()

    - #### hideLoading

          public static void hideLoading()

    - #### clearPanel

          public void clearPanel()

    - #### refreshLoading

          public static void refreshLoading()

    - #### getURLa

          public static String getURLa()

Copyright © 2014. All Rights Reserved.